## DeleteMagickRegistry

DeleteMagickRegistry() deletes an entry in the registry as defined by the id. It returns MagickTrue if the entry is deleted otherwise MagickFalse if no entry is found in the registry that matches the id.

The format of the DeleteMagickRegistry method is:

      MagickBooleanType DeleteMagickRegistry(const long id)

A description of each parameter follows:

#### id

The registry id.

## GetImageFromMagickRegistry

GetImageFromMagickRegistry() gets an image from the registry as defined by its name. If the blob that matches the name is not found, NULL is returned.

The format of the GetImageFromMagickRegistry method is:

      Image *GetImageFromMagickRegistry(const char *name,long *id,
        ExceptionInfo *exception)

A description of each parameter follows:

#### name

The name of the image to retrieve from the registry.

#### id

The registry id.

#### exception

Return any errors or warnings in this structure.

## GetMagickRegistry

GetMagickRegistry() gets a blob from the registry as defined by the id. If the blob that matches the id is not found, NULL is returned.

The format of the GetMagickRegistry method is:

      const void *GetMagickRegistry(const long id,RegistryType *type,
        size_t *length,ExceptionInfo *exception)

A description of each parameter follows:

#### id

The registry id.

#### type

The registry type.

#### length

The blob length in number of bytes.

#### exception

Return any errors or warnings in this structure.

## SetMagickRegistry

SetMagickRegistry() sets a blob into the registry and returns a unique ID. If an error occurs, -1 is returned.

The format of the SetMagickRegistry method is:

      long SetMagickRegistry(const RegistryType type,const void *blob,
        const size_t length,ExceptionInfo *exception)

A description of each parameter follows:

#### type

The registry type.

#### blob

The address of a Binary Large OBject.

#### length

For a registry type of ImageRegistryType use sizeof(Image) otherise the blob length in number of bytes.

#### exception

Return any errors or warnings in this structure.

Discourse Server | Mailing Lists | Image Gallery | ImageMagick Studio
© 1999-2006 ImageMagick Studio LLC